package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 充值记录表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_recharge")
public class StudentRecharge extends Model<StudentRecharge> {

    private static final long serialVersionUID = 1L;

    /**
     * 充值流水号
     */
    @TableId("id_")
    private String id;
    /**
     * 用户编号
     */
    @TableField("user_id_")
    private Long userId;
    /**
     * 交易流水号,第三方支付机构返回的
     */
    @TableField("trans_no_")
    private String transNo;
    /**
     * 1,交易中;2,成功交易;3,交易失败;4,交易关闭
     */
    @TableField("status_")
    private Integer status;
    /**
     * 充值金额
     */
    @TableField("amount_")
    private BigDecimal amount;
    /**
     * 用户承担的充值费用（单位：元）
     */
    @TableField("fee_user_")
    private BigDecimal feeUser;
    /**
     * 平台承担的费用（单位：元）
     */
    @TableField("fee_platform_")
    private BigDecimal feePlatform;
    /**
     * 第三方支付平台名称(用拼音简称代替)
     */
    @TableField("pay_platform_")
    private String payPlatform;
    /**
     * 描述
     */
    @TableField("description_")
    private String description;
    /**
     * 后台备注
     */
    @TableField("comment_")
    private String comment;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;
    /**
     * 最后修改时间
     */
    @TableField("modify_time_")
    private Date modifyTime;


    public String getId() {
        return id;
    }

    public StudentRecharge setId(String id) {
        this.id = id;
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public StudentRecharge setUserId(Long userId) {
        this.userId = userId;
        return this;
    }

    public String getTransNo() {
        return transNo;
    }

    public StudentRecharge setTransNo(String transNo) {
        this.transNo = transNo;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public StudentRecharge setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public StudentRecharge setAmount(BigDecimal amount) {
        this.amount = amount;
        return this;
    }

    public BigDecimal getFeeUser() {
        return feeUser;
    }

    public StudentRecharge setFeeUser(BigDecimal feeUser) {
        this.feeUser = feeUser;
        return this;
    }

    public BigDecimal getFeePlatform() {
        return feePlatform;
    }

    public StudentRecharge setFeePlatform(BigDecimal feePlatform) {
        this.feePlatform = feePlatform;
        return this;
    }

    public String getPayPlatform() {
        return payPlatform;
    }

    public StudentRecharge setPayPlatform(String payPlatform) {
        this.payPlatform = payPlatform;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public StudentRecharge setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getComment() {
        return comment;
    }

    public StudentRecharge setComment(String comment) {
        this.comment = comment;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentRecharge setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public StudentRecharge setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentRecharge{" +
        ", id=" + id +
        ", userId=" + userId +
        ", transNo=" + transNo +
        ", status=" + status +
        ", amount=" + amount +
        ", feeUser=" + feeUser +
        ", feePlatform=" + feePlatform +
        ", payPlatform=" + payPlatform +
        ", description=" + description +
        ", comment=" + comment +
        ", createTime=" + createTime +
        ", modifyTime=" + modifyTime +
        "}";
    }
}
